GuiCommand: Name: Std ViewRotateLeft MenuLocation: View , Standard views , Rotate Left Workbenches: All Shortcut: Shift+Left SeeAlso: Std_ViewRotateRight
Std ViewRotateLeft
Description
The Std ViewRotateLeft command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the left (counterclockwise).
Usage
- There are several ways to invoke the command:
- Select the View → Standard views →
Rotate Left option from the menu.
- Select the Standard views →
Rotate Left option from the 3D view context menu.
- Use the keyboard shortcut: Shift+Left.
- Select the View → Standard views →
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
Use the viewRotateLeft
method of the View object to rotate the view to the left. The viewRotateRight
method is also available.
import FreeCADGui
view = FreeCADGui.ActiveDocument.ActiveView
view.viewRotateLeft()
⏵ documentation index > Std ViewRotateLeft
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Std_ViewRotateLeft.md